### Method

# Gtk CellAreaget_focus_from_sibling

deprecated: 4.10

#### Declaration [src]

    GtkCellRenderer*
    gtk_cell_area_get_focus_from_sibling (
      GtkCellArea* area,
      GtkCellRenderer* renderer
    )

#### Description [src]

Gets the `GtkCellRenderer` which is expected to be focusable for which `renderer` is, or may be a sibling.

This is handy for `GtkCellArea` subclasses when handling events, after determining the renderer at the event location it can then chose to activate the focus cell for which the event cell may have been a sibling.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`renderer`

  Type: `GtkCellRenderer`

  The `GtkCellRenderer`

  The data is owned by the caller of the method.

#### Return value

Type: `GtkCellRenderer`

The `GtkCellRenderer` for which `renderer` is a sibling.

The data is owned by the instance.
The return value can be `NULL`.